Popular Posts

Thursday, February 12, 2009

Flash Errors

A couple of days ago I was trying to install an application which requires the latest version of flash on the machine. I am pretty sure that I have the latest version installed as most of the internet applications require it now a day. To my surprise it errors out stating the application requires the latest version of flash in order to work properly. I went to Flash Official website and updated my machine. After updating I started installation again and got the same results. Then I tried to uninstall the current flash player and install a fresh copy from their site again but all in vain. Nothing helped me.

Follow these steps to solve it:

  1. Navigate to the folder "C:\WINDOWS\system32\Macromed\Flash\". In this folder you will see a file named "Flash9f.ocx" or "Flash9*.ocx" (Here * stands for any letters, numbers or sign that comes after 9)
  2. Make copy of the "Flash9f.ocx" or "Flash9*.ocx" file in the same folder as the original (copy the original, then paste the copied file into the same folder).
  3. Delete your previous copy of "Flash.ocx".
  4. Rename the newly made copy to "Flash.ocx".

That's all you are done. This is the most easy and quick solution to this problem. Actually whenever we update our copy of flash in the background it will be placed in folder (C:\WINDOWS\system32\Macromed\Flash) under the name "Flash9*.ocx" and the file with name "Flash.ocx" will still carries the same older version. So when we are installing newer application that requires latest version of flash it will look for "Flash.ocx" file, which still contains the older version, so this generates this error.

Hope this post will help you with your Flash problem.

Post a Comment